<div class="col-sm-<?= $content_width ?> cm-sc-shipping mt-3">

  <div class="card">
    <div class="card-header">
      <h4><?= MODULE_CONTENT_SC_SHIPPING_MODULE_TITLE ?></h4>
    </div>
    <div class="card-body">
      <?= new Form('estimator', $Linker->build('shopping_cart.php'), 'post') . new Input('sid', (isset($selected_shipping['id'])? ['value' => $selected_shipping['id']] : []), 'hidden') ?>
        <div class="row estimator-padding">
<?php
if ( MODULE_CONTENT_SC_SHIPPING_SHOWWT == 'True' ) {
  $showweight = '&nbsp;(' . $total_weight . '&nbsp;' . MODULE_CONTENT_SC_SHIPPING_WTUNIT . ')';
}

if ( isset($_SESSION['customer_id']) ) {
  // logged in
  if ( MODULE_CONTENT_SC_SHIPPING_SHOWIC == 'True' ) {
    echo '<div class="col-sm-12 pb-3">' . ($total_count == 1 ? ' <strong>' . MODULE_CONTENT_SC_SHIPPING_ITEM . '</strong>' : ' <strong>' . MODULE_CONTENT_SC_SHIPPING_ITEM . '</strong>') . '&nbsp;' . $total_count . ((isset($showweight))? $showweight : '')  . '</div>' . PHP_EOL;
  }

  if (!$virtual_order) {
    $addresses_query = $GLOBALS['customer']->get_all_addresses_query();
    // only display addresses if more than 1
    if ( mysqli_num_rows($addresses_query) > 1 ) {
      while ( $addresses = $addresses_query->fetch_assoc() ) {
        $addresses_array[] = ['id' => $addresses['address_book_id'], 'text' => $GLOBALS['customer']->make_address_label($addresses, true, ' ', ' - ')];
      }
      echo '<div class="col-sm-2 pb-3">' . MODULE_CONTENT_SC_SHIPPING_SHIPPING_METHOD_ADDRESS . '</div><div class="col-sm-10 pb-3">'. (new Select('address_id', $addresses_array, ['onchange' =>'return shipincart_submit(\'\');']))->set_selection($selected_address) . '</div>' . PHP_EOL;
    }
    echo '  <div class="col-sm-2 pb-3"><strong>' . MODULE_CONTENT_SC_SHIPPING_SHIPPING_METHOD_TO .'</strong>' . '</div><div class="col-sm-6 pb-3">'. $GLOBALS['customer']->make_address_label($_SESSION['sendto'], true, ' ', '<br>') . '</div><div class="col-sm-4 text-right">'. new Button(IMAGE_BUTTON_ADD_ADDRESS, 'fas fa-envelope', 'btn-info btn-xs', [], $Linker->build('checkout_shipping_address.php')) . '</div>' . PHP_EOL;
  }

} else {
  // not logged in
  $_SESSION['navigation']->set_snapshot();
  echo '    <div class="col-sm-12 pb-3">' . MODULE_CONTENT_SC_SHIPPING_SHIPPING_OPTIONS_LOGIN . new Button(MODULE_CONTENT_SC_SHIPPING_BUTTON_LOGIN, 'fas fa-sign-in-alt', 'btn-success btn-sm', [], $Linker->build('login.php')) . '</div>' . PHP_EOL;
  if( MODULE_CONTENT_SC_SHIPPING_SHOWIC == 'True' ) {
    echo '  <div class="col-sm-12 pb-3">' . ($total_count == 1 ? ' <strong>' . MODULE_CONTENT_SC_SHIPPING_ITEM . '</strong>' : ' <strong>' . MODULE_CONTENT_SC_SHIPPING_ITEM . '</strong>') . '&nbsp;' . $total_count . ((isset($showweight))? $showweight : '')  . '</div>' . PHP_EOL;
  }

  if (!$virtual_order) {
    if ( MODULE_CONTENT_SC_SHIPPING_SHOWCDD == 'True' ) {
      echo '<div class="form-group row col-sm-12 pb-3">' . PHP_EOL;
      echo '  <label for="inputCountry" class="col-form-label col-sm-3 text-left text-sm-right">' .  ENTRY_COUNTRY . '</label>' . PHP_EOL;
      echo '  <div class="col-sm-5">' . Country::draw_menu('country_id', $selected_country, ['id' => 'inputCountry']) . '</div>' . PHP_EOL;
      echo '</div>';
    } else {
      echo new Input('country_id', ['value' => STORE_COUNTRY], 'hidden') . PHP_EOL;
    }

    //add state zone_id
    $state_array[] = ['id' => '', 'text' => PULL_DOWN_DEFAULT];
    $state_array = $db->fetch_all("SELECT zone_id AS id, zone_name AS text FROM zones WHERE zone_country_id = " . (int)$selected_country . " ORDER BY zone_name");

    if ( MODULE_CONTENT_SC_SHIPPING_SHOWSDD == 'True' && count($state_array) > 1) {
      echo '<div class="form-group row col-sm-12">' . PHP_EOL;
      echo '  <label for="inputState" class="col-form-label col-sm-3 text-left text-sm-right">' .  ENTRY_STATE . '</label>' . PHP_EOL;
      echo '  <div class="col-sm-5">' . (new Select('zone_id', $state_array, ['id' =>'inputState']))->set_selection((isset($_POST['zone_id'])? $_POST['zone_id'] : STORE_ZONE)) . '</div>' . PHP_EOL;
      echo '</div>' . PHP_EOL;
    } else {
      echo new Input('zone_id', ['value' => STORE_ZONE], 'hidden') . PHP_EOL;
    }
    if ( MODULE_CONTENT_SC_SHIPPING_SHOWZDD == 'True' ) {
      echo '<div class="form-group row col-sm-12">' . PHP_EOL;
      echo '  <label for="inputZip" class="col-form-label col-sm-3 text-left text-sm-right">' .  ENTRY_POST_CODE . '</label>' . PHP_EOL;
      echo '  <div class="col-sm-9">' . new Input('zip_code', ['id' => 'inputZip', 'value' => (isset($_POST['zip_code'])? $_POST['zip_code'] : MODULE_CONTENT_SC_SHIPPING_DEFAULT_ZIP), 'class' => 'form-control', 'style' => 'width: 125px;']) . '</div>' . PHP_EOL;
      echo '</div>' . PHP_EOL;
    }
    if ( MODULE_CONTENT_SC_SHIPPING_SHOWCITY == 'True' ) {
      echo '<div class="form-group row col-sm-12">';
      echo '  <label for="inputCity" class="col-form-label col-sm-3 text-left text-sm-right">' .  ENTRY_CITY . '</label>' . PHP_EOL;
      echo '  <div class="col-sm-9">' . new Input('city', ['id' => 'inputCity', 'value' => (isset($_POST['city'])? $_POST['city'] : MODULE_CONTENT_SC_SHIPPING_DEFAULT_CITY), 'class' => 'form-control', 'style' => 'width: 300px;']) . '</div>' . PHP_EOL;
      echo '</div>' . PHP_EOL;
    }
    if ( MODULE_CONTENT_SC_SHIPPING_SHOWUB == 'True' ) {
      echo'<div class="col-sm-12 text-center mb-3"><a class="btn btn-outline-info" role="button" href="_" onclick="return shipincart_submit(\'\');"><i class="fas fa-sync-alt"></i>&nbsp;'. IMAGE_BUTTON_UPDATE . ' </a></div>' . PHP_EOL;
    }
  }
}
?>
        </div>
        <h5 class="mb-1"><?= MODULE_CONTENT_SC_SHIPPING_SHIPPING_METHOD_TEXT ?></h5>
        <div>
<?php
    if ($module_count > 0) {
      if ($free_shipping || $virtual_order) {
?>
          <div class="alert alert-info mb-0" role="alert">
            <p class="lead"><b><?= FREE_SHIPPING_TITLE ?></b></p>
<?php
        if ($virtual_order) {
?>
            <p class="lead"><?= MODULE_CONTENT_SC_SHIPPING_VIRTUAL_DESCRIPTION, new Input('shipping', ['value' => 'free_free'], 'hidden') ?></p>
<?php
        } elseif ($free_shipping) {
?>
            <p class="lead"><?= sprintf(FREE_SHIPPING_DESCRIPTION, $currencies->format(MODULE_ORDER_TOTAL_SHIPPING_FREE_SHIPPING_OVER)), new Input('shipping', ['value' => 'free_free'], 'hidden') ?></p>
<?php
        }
?>
          </div>
              <?php
      } else {
?>
          <table class="table border-right border-left border-bottom table-hover m-0">
<?php
        $n = count($quotes);

        foreach ($quotes as $quote) {
          $n2 = count($quote['methods']);
          foreach (($quote['methods'] ?? []) as $method) {
            $method_value = "{$quote['id']}_{$method['id']}";
?>
            <tr class="table-selection" <?php echo ((!$free_shipping && $module_count > 1 && $method_value !== $_SESSION['shipping']['id'])? 'onclick="return shipincart_submit(\'' . $method_value . '\');"' : '') ?> >
              <td>
<?php
            echo $quote['module'];

            if (!Text::is_empty($quote['icon'] ?? '')) {
              echo '&nbsp;' . $quote['icon'];
            }

            if (isset($quote['error'])) {
              echo '<div class="form-text">' . $quote['error'] . '</div>';
            }

            if (!Text::is_empty($method['title'])) {
              echo '<div class="form-text">' . $method['title'] . '</div>';
            }
?>
              </td>
              <?php
            $method_price = $currencies->format(Tax::price($method['cost'], $quote['tax'] ?? 0));
            if ( ($n > 1) || ($n2 > 1) ) {
?>
              <td class="text-right">
                <?php
              if (isset($quote['error'])) {
                echo '<div class="alert alert-error">' . $quote['error'] . '</div>';
              } else {
                $label_for = "d_{$method['id']}";
                $method_input = new Tickable('shipping', [
                  'value' => $method_value,
                  'id' => $label_for,
                  'aria-describedby' => $label_for,
                  'class' => 'custom-control-input',
                ], 'radio');
                echo '<div class="custom-control custom-radio custom-control-inline">';
                echo $method_input->require()->tick($method_value === ($_SESSION['shipping']['id'] ?? false));
                echo '<label class="custom-control-label" for="' . $label_for . '">' . $method_price . '</label>';
                echo '</div>';
              }
?>
              </td>
                <?php
            } else {
              $method_input = new Input('shipping', ['value' => $method_value], 'hidden');
?>
              <td class="text-right"><?= $method_price, $method_input ?></td>
                <?php
            }
?>
            </tr>
            <?php
          }
        }
      }
?>
          </table>
          <?php
      if ( !$free_shipping && (1 === $module_count) ) {
?>
          <p class="m-2 font-weight-lighter"><?= MODULE_CONTENT_SC_SHIPPING_SHIPPING_INFORMATION ?></p>
            <?php
      }
    }
?>
        </div>
		  </form>
    </div>
  </div>

</div>

<?php
/*
  $Id$

  Ship In Cart 6.0 Phoenix Cart
  by @raiwa
  raiwa@phoenixcartaddons.com
  www.phoenixcartaddons.com

  Copyright (c) 2021: Rainer Schmied

  based on: shipping estimator
  Original version: Edwin Bekaert (edwin@ednique.com)

  CE Phoenix, E-Commerce made Easy
  https://phoenixcart.org

  Copyright (c) 2021 Phoenix Cart

  Released under the GNU General Public License
*/
